Bug 1262207 - CVE-2015-5262 jakarta-commons-httpclient: jakarta-commons-httpclient, httpcomponents-core: missing HTTPS connection timeout [fedora-all]
CVE-2015-5262 jakarta-commons-httpclient: jakarta-commons-httpclient, httpcom...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jakarta-commons-httpclient (Show other bugs)
22
All Linux
low Severity low
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-5262
  Show dependency treegraph
 
Reported: 2015-09-11 03:41 EDT by Florian Weimer
Modified: 2015-10-01 14:58 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.1-23
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-01 14:58:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2015-09-11 03:41:23 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Florian Weimer 2015-09-11 03:41:28 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1261538,1262207

# Description of your update
notes=Security fix for CVE-2015-5262

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1261538,1262207
Comment 2 Mikolaj Izdebski 2015-09-11 03:45:03 EDT
Fixed in jakarta-commons-httpclient-3.1-23
Comment 3 Mikolaj Izdebski 2015-09-14 06:54:33 EDT
Moving to QA for testing.
Comment 4 Mikolaj Izdebski 2015-10-01 14:58:35 EDT
I believe that this bug is fixed in jakarta-commons-httpclient-3.1-23,
which is available in updates for Fedora 22, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=684138

Note You need to log in before you can comment on or make changes to this bug.